From c00726502ffdc0937ad621ff0f7516ed8d3d5e70 Mon Sep 17 00:00:00 2001
From: Sascha Markus <sascha.markus@gmail.com>
Date: Thu, 22 Mar 2018 08:46:04 +0000
Subject: [PATCH 2/2] Bug #13198 Added Logo to about dialog

---
 whisperBack/gui.py | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/whisperBack/gui.py b/whisperBack/gui.py
index f0a4bf5..95d4d0e 100644
--- a/whisperBack/gui.py
+++ b/whisperBack/gui.py
@@ -40,6 +40,7 @@ import socket
 
 # GIR imports
 from gi.repository import GObject
+from gi.repository import GdkPixbuf
 from gi.repository import Gtk
 from gi.repository import WebKit
 
@@ -388,6 +389,11 @@ Do you want to save the bug report to a file?") % self.backend.to_address
         about_dialog.set_authors([_("Tails developers <tails@boum.org>")])
         about_dialog.set_translator_credits(_("translator-credits"))
         about_dialog.set_website("https://tails.boum.org/")
+        try:
+            about_dialog.set_logo(GdkPixbuf.Pixbuf.new_from_file(os.path.join(
+                                  whisperBack.utils.get_pixmapdir(), "whisperback.svg")))
+        except GObject.GError as e:
+            print(e)
         about_dialog.connect("response", Gtk.Widget.hide_on_delete)
         about_dialog.show()
 
-- 
2.11.0

